      subroutine set_char(h,theta)
      implicit real (a-h,o-z)
c
c Set the text attributes. 
c
c James Blake
c @(#)set_char.f	1.1  4/3/89 
c
      include 'device_type.h'
      common /tscale/ sfactt
c
      if (color_ws .or. mono_ws) then
c
c Determine the character baseline vector for the given angle.
c
         xbase = cosd(theta)
         ybase = sind(theta)
         theta90 = 90.0 + theta
c
c Determine the character side vector ...
c
         xup = cosd(theta90)
         yup = sind(theta90)
         ix = int(3276.7*(h*sfactt))
c
c Set the height and orientation.
c
         call cfcharheight(ix)
         call cfcharorient(xbase,ybase,xup,yup)
      endif
      return
      end
